## org.apache.xerces.impl.dv.dtd
Class XML11IDREFDatatypeValidator

    java.lang.Object
      |
      +--org.apache.xerces.impl.dv.dtd.IDREFDatatypeValidator
            |
            +--org.apache.xerces.impl.dv.dtd.XML11IDREFDatatypeValidator

All Implemented Interfaces:
  DatatypeValidator

public class XML11IDREFDatatypeValidator
extends IDREFDatatypeValidator

IDREFDatatypeValidator - represents the IDREFS attribute type from XML 1.1 recommendation. The Value Space of IDREF is the set of all strings that match the NCName production and have been used in an XML Document as the value of an element or attribute of Type ID. The Lexical space of IDREF is the set of strings that match the NCName production.

The Value space of IDREF is scoped to a specific instance document

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: XML11IDREFDatatypeValidator.java 699892 2008-09-28 21:08:27Z mrglavas $
Author:
  Jeffrey Rodriguez, IBM, Sandy Gao, IBM, Neil Graham, IBM

Constructor Summary
`XML11IDREFDatatypeValidator()`

Method Summary
`void` `validate(java.lang.String content, ValidationContext context)` Checks that "content" string is valid IDREF value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XML11IDREFDatatypeValidator

    public XML11IDREFDatatypeValidator()

Method Detail

### validate

    public void validate(java.lang.String content,
                         ValidationContext context)
                  throws InvalidDatatypeValueException

  Checks that "content" string is valid IDREF value. If invalid a Datatype validation exception is thrown.
  Overrides:
    `validate` in class `IDREFDatatypeValidator`
  Parameters:
    `content` - the string value that needs to be validated
    `context` - the validation context
  Throws:
    `InvalidDatatypeException` - if the content is invalid according to the rules for the validators
  See Also:
    `InvalidDatatypeValueException`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.